For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The ItemFulfillment object
          • GET/item-fulfillments
          • POST/item-fulfillments
          • GET/item-fulfillments/{id}
          • GET/item-fulfillments/lines/remote-field-classes
          • GET/item-fulfillments/remote-field-classes
          • POST/item-fulfillments/bulk
          • GET/item-fulfillments/bulk/{batch_id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsItem Fulfillments

/item-fulfillments/{id}

Beta
GET
/accounting/v1/item-fulfillments/:id
GET
/api/accounting/v1/item-fulfillments/:id
$curl -G https://api.merge.dev/api/accounting/v1/item-fulfillments/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> --data-urlencode expand=lines,sales_order,customer,company \
> -d remote_fields=status \
> -d show_enum_origins=status
200Retrieved
1{
2 "id": "0048ea5b-911e-4dff-9364-92070dea62ff",
3 "remote_id": "IF-12345",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "sales_order": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
7 "fulfillment_date": "2022-04-10T00:00:00Z",
8 "customer": "2f9edc34-c92a-48c0-b2c6-e9e0e3bc407b",
9 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
10 "status": "SHIPPED",
11 "memo": "Shipped via FedEx",
12 "lines": [
13 {
14 "remote_id": "121222",
15 "item": "0958cbc6-6040-430a-848e-aafacbadf4ae",
16 "quantity": "10",
17 "tracking_categories": [
18 "f1214c24-2702-4617-b74b-3ddecfc0d384"
19 ]
20 },
21 {
22 "remote_id": "121223",
23 "item": "249c9faa-3045-4a31-953b-8f22d3613301",
24 "quantity": "5",
25 "tracking_categories": [
26 "f1214c24-2702-4617-b74b-3ddecfc0d384"
27 ]
28 }
29 ],
30 "remote_created_at": "2020-03-31T00:00:00Z",
31 "remote_updated_at": "2020-03-31T00:00:00Z",
32 "remote_was_deleted": true,
33 "field_mappings": {
34 "organization_defined_targets": {
35 "custom_key": "custom_value"
36 },
37 "linked_account_defined_targets": {
38 "custom_key": "custom_value"
39 }
40 },
41 "remote_data": [
42 {
43 "path": "/actions",
44 "data": null
45 }
46 ],
47 "remote_fields": [
48 {
49 "remote_field_class": {
50 "id": "string",
51 "display_name": "string",
52 "remote_key_name": "string",
53 "description": "string",
54 "is_custom": true,
55 "is_common_model_field": true,
56 "is_required": true,
57 "field_type": "string",
58 "field_format": "string",
59 "field_choices": [
60 "string"
61 ],
62 "item_schema": {
63 "item_type": "string",
64 "item_format": "string",
65 "item_choices": [
66 "string"
67 ]
68 }
69 },
70 "value": "string"
71 }
72 ]
73}

Returns an ItemFulfillment object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/item-fulfillments

Next

/item-fulfillments/lines/remote-field-classes

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
sales_orderstring or nullformat: "uuid"
The ID of the sales order that the item fulfillment originated from.
fulfillment_datedatetime or null
The date the fulfillment was created.
customerstring or nullformat: "uuid"
The customer associated with the item fulfillment.
companystring or nullformat: "uuid"
The subsidiary associated with the fulfillment.
statusenum or null

The status of the item fulfillment.

  • DRAFT - DRAFT
  • IN_PROGRESS - IN_PROGRESS
  • SHIPPED - SHIPPED
  • CANCELLED - CANCELLED
Allowed values:
memostring or null
Comment attached to the fulfillment.
lineslist of objectsRead-only
remote_created_atdatetime or null
When the third party's item fulfillment was created.
remote_updated_atdatetime or null
When the third party's item fulfillment was updated.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more